// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by odin

ServerEvents.recipes(event => {
  event.remove({ output: 'bossesunleashed:celestial_jellyfish_mask' })
  event.remove({ input: 'bossesunleashed:celestial_jellyfish_mask' })
  event.remove({ output: 'bossesunleashed:celestial_jellyfish_chestplate' })
  event.remove({ input: 'bossesunleashed:celestial_jellyfish_chestplate' })
  event.remove({ output: 'bossesunleashed:celestial_jellyfish_leggings' })
  event.remove({ input: 'bossesunleashed:celestial_jellyfish_leggings' })
  event.remove({ output: 'bossesunleashed:celestial_jellyfish_boots' })
  event.remove({ input: 'bossesunleashed:celestial_jellyfish_boots' })
});

ServerEvents.recipes(event => {
    event.smithing(
      'bossesunleashed:celestial_jellyfish_mask',
      'ancient_elements:galactrium_smithing_template',
      'ancient_elements:aeonite_helmet',
      'bossesunleashed:celestial_jelly'
    )

    event.smithing(
      'bossesunleashed:celestial_jellyfish_chestplate',
      'ancient_elements:galactrium_smithing_template',
      'ancient_elements:aeonite_chestplate',
      'bossesunleashed:celestial_jelly'
    )

    event.smithing(
      'bossesunleashed:celestial_jellyfish_leggings',
      'ancient_elements:galactrium_smithing_template',
      'ancient_elements:aeonite_leggings',
      'bossesunleashed:celestial_jelly'
    )

    event.smithing(
      'bossesunleashed:celestial_jellyfish_boots',
      'ancient_elements:galactrium_smithing_template',
      'ancient_elements:aeonite_boots',
      'bossesunleashed:celestial_jelly'
    )
});